-- =============================================================================
-- A sample Java project for JCR
-- =============================================================================


--
-- Insert 2 other users (superuser already assumed to exist)
--

INSERT INTO systemuser (systemid, username, name, issuperuser, password, enabled)
    VALUES (2, 'johnd', 'John Dickson', 'N', '3065c395ff43700cea215113df6c02a9', 'Y');

INSERT INTO systemuser (systemid, username, name, issuperuser, password, enabled)
    VALUES (3, 'wille', 'Will Emerge', 'N', '9c58b263abcfc21c44eecc1f86f8f163', 'Y');


INSERT INTO fileset (systemid, owner, createdate, directory, baseline)
    VALUES (11, 2, '2007-12-01 08:00:00', 'projects/Java_clichart/originalFileset', 'clichart-0.5.1');

INSERT INTO fileset (systemid, owner, createdate, directory, baseline)
    VALUES (12, 2, '2007-12-01 09:00:00', 'projects/Java_clichart/modifiedFileset', 'clichart-0.5.3');


INSERT INTO project (systemid, name, owner, createdate, directory, currentstatus, originalfileset, modifiedfileset,
    ignorewhitespace, notes)
    VALUES (6, 'Java project (CLIChart)', 2, '2007-12-01 10:00:00', 'Java_clichart', 'RP', 11, 12, 'Y',
    'A sample test project containing both Java and non-Java files.\n\nThis across 2 baselines of CLIChart( http://clichart.sourceforge.net/ ), with some extra changes to show JCR features');


INSERT INTO projectfile (systemid, project, path, originalpath, changetype, notes, reviewpriority, numlines, changepercent, numchunks)
    VALUES(11, 6, 'build.xml', NULL, 'C', NULL, NULL, 164, 1, 1);
INSERT INTO projectfile (systemid, project, path, originalpath, changetype, notes, reviewpriority, numlines, changepercent, numchunks)
    VALUES(12, 6, 'docs/rst/index.txt', NULL, 'C', NULL, 1, 271, 29, 22);
INSERT INTO projectfile (systemid, project, path, originalpath, changetype, notes, reviewpriority, numlines, changepercent, numchunks)
    VALUES(13, 6, 'docs/rst/linestats.txt', NULL, 'C', NULL, NULL, 159, 5, 3);
INSERT INTO projectfile (systemid, project, path, originalpath, changetype, notes, reviewpriority, numlines, changepercent, numchunks)
    VALUES(14, 6, 'resource/bin/linestats-jcr.py', 'resource/bin/linestats.py', 'C',
        'See also documentation changes in jcrfile://docs/rst/linestats.txt', 2, 233, 50, 33);
INSERT INTO projectfile (systemid, project, path, originalpath, changetype, notes, reviewpriority, numlines, changepercent, numchunks)
    VALUES(15, 6, 'src/net/sf/clichart/chart/AbstractChartBuilder.java', NULL, 'C', NULL, 3, 275, 7, 10);
INSERT INTO projectfile (systemid, project, path, originalpath, changetype, notes, reviewpriority, numlines, changepercent, numchunks)
    VALUES(16, 6, 'src/net/sf/clichart/chart/TimeSeriesChartBuilder.java', NULL, 'C', NULL, NULL, 118, 2, 2);
INSERT INTO projectfile (systemid, project, path, originalpath, changetype, notes, reviewpriority, numlines, changepercent, numchunks)
    VALUES(17, 6, 'src/net/sf/clichart/data/jcrpackage/AbstractDataParser.java',
        'src/net/sf/clichart/data/AbstractDataParser.java', 'C', NULL, 3, 262, 1, 1);
INSERT INTO projectfile (systemid, project, path, originalpath, changetype, notes, reviewpriority, numlines)
    VALUES(18, 6, 'src/net/sf/clichart/main/cliserver/OptionSetter.java', NULL, 'A', NULL, NULL, 25);


INSERT INTO filecomment (systemid, projectfile, linenumber, owner, createdate, comment, reviewdecision)
    VALUES(11, 15, 77, 2, '2007-11-18 14:08:18.533', 'Would this have been better as a List?', NULL);
INSERT INTO filecomment (systemid, projectfile, linenumber, owner, createdate, comment, reviewdecision)
    VALUES(12, 15, 222, 2, '2007-11-18 14:10:44.381', 'Sample comment (meaningless, but you get that...)\r\n\r\nMight have been clearer as an else clause, i.e.\r\n  if (m_seriesTitles != null && m_seriesTitles.length > i) {\r\n    header = m_seriesTitles[i];\r\n  } else if (headers[i] != null) {\r\n    header = headers[i];\r\n  } else {\r\n    header = "Series " + (i + 1);\r\n  }', 'NA');
INSERT INTO filecomment (systemid, projectfile, linenumber, owner, createdate, comment, reviewdecision)
    VALUES(13, 14, 35, 2, '2007-11-18 14:13:01.378', 'Note: These sections just moved down in the file', 'NA');
INSERT INTO filecomment (systemid, projectfile, linenumber, owner, createdate, comment, reviewdecision)
    VALUES(14, 14, 344, 2, '2007-11-18 14:13:52.873', 'Looking cleaner!', 'NA');
INSERT INTO filecomment (systemid, projectfile, linenumber, owner, createdate, comment, reviewdecision)
    VALUES(15, 18, 25, 2, '2007-11-18 14:14:42.470', 'Needs some Javadoc...', 'ER');
INSERT INTO filecomment (systemid, projectfile, linenumber, owner, createdate, comment, reviewdecision)
    VALUES(16, 18, 6, 2, '2007-11-18 14:15:26.735', 'There were changes in OptionBean - should have been included in the review', NULL);
INSERT INTO filecomment (systemid, projectfile, linenumber, owner, createdate, comment, reviewdecision)
    VALUES(17, 15, 77, 3, '2007-11-18 14:17:18.180', 'Could do, but probably no point - it''s never changed or iterated over', 'NA');
INSERT INTO filecomment (systemid, projectfile, linenumber, owner, createdate, comment, reviewdecision)
    VALUES(18, 16, 65, 3, '2007-11-18 14:20:00.019', 'See JD''s comment about List vs array in jcrclass://AbstractChartBuilder', 'NA');


INSERT INTO projectthread (systemid, project, owner, threadtitle)
    VALUES (3, 6, 2, 'General comments');


INSERT INTO projectcomment (systemid, projectthread, owner, createdate, comment, reviewdecision)
    VALUES (4, 3, 2, '2006-11-05 00:01:04', 'Ensure that all copyright years are updated for changed files', 'ER');


INSERT INTO projectstatus (systemid, changedby, changedate, project, newstatus)
    VALUES (4, 1, '2007-12-01 09:01:00', 6, 'SD');
INSERT INTO projectstatus (systemid, changedby, changedate, project, newstatus)
    VALUES (5, 1, '2007-12-01 09:02:00', 6, 'SF');
INSERT INTO projectstatus (systemid, changedby, changedate, project, newstatus)
    VALUES (6, 2, '2007-12-01 09:03:00', 6, 'RP');


--
-- Make the sequence return the next appropriate number
--
SELECT setval('TableIds', 1000);
