/****************************************************************************
 * Schema upgrade - script 2 of 2
 * Run this after any data upgrade scripts
 *
 * Schema:           jcr
 * DBMS:             postgres
 * Generated:        Sat Jul 30 18:33:51 2005
 *****************************************************************************/

/*===========================================================================
 * Changes for table: SystemUser
 * Upgrade strategy: changeByCopy
 *===========================================================================*/
ALTER TABLE SystemUser
     ALTER systemId SET NOT NULL;

ALTER TABLE SystemUser
     ALTER username SET NOT NULL;

ALTER TABLE SystemUser
     ALTER name SET NOT NULL;

ALTER TABLE SystemUser
     ALTER isSuperuser SET NOT NULL;

ALTER TABLE SystemUser
     ALTER password SET NOT NULL;

ALTER TABLE SystemUser
    ADD CONSTRAINT pk_User PRIMARY KEY (systemId);

-- Drop temporary table
DROP TABLE tmp_SystemUser CASCADE;

-- Re-establish foreign key links.
-- Note that foreign keys to be recreated elsewhere are omitted
ALTER TABLE FileComment
    ADD CONSTRAINT fk_FileCom_SysUsr_RevAction FOREIGN KEY (reviewActionOwner) REFERENCES SystemUser;

ALTER TABLE FileComment
    ADD CONSTRAINT fk_FileComment_SystemUser FOREIGN KEY (owner) REFERENCES SystemUser;


/*===========================================================================
 * Changes for table: Project
 * Upgrade strategy: changeByCopy
 *===========================================================================*/
ALTER TABLE Project
     ALTER systemId SET NOT NULL;

ALTER TABLE Project
     ALTER name SET NOT NULL;

ALTER TABLE Project
     ALTER owner SET NOT NULL;

ALTER TABLE Project
     ALTER createDate SET NOT NULL;

ALTER TABLE Project
     ALTER directory SET NOT NULL;

ALTER TABLE Project
     ALTER currentStatus SET NOT NULL;

ALTER TABLE Project
    ADD CONSTRAINT pk_Project PRIMARY KEY (systemId);

ALTER TABLE Project
    ADD CONSTRAINT fk_Project_SystemUser FOREIGN KEY (owner) REFERENCES SystemUser;

-- Drop temporary table
DROP TABLE tmp_Project CASCADE;


/*===========================================================================
 * Changes for table: ProjectFile
 * Upgrade strategy: changeByCopy
 *===========================================================================*/
ALTER TABLE ProjectFile
     ALTER systemId SET NOT NULL;

ALTER TABLE ProjectFile
     ALTER project SET NOT NULL;

ALTER TABLE ProjectFile
     ALTER path SET NOT NULL;

ALTER TABLE ProjectFile
     ALTER changeType SET NOT NULL;

ALTER TABLE ProjectFile
    ADD CONSTRAINT pk_ProjectFile PRIMARY KEY (systemId);

ALTER TABLE ProjectFile
    ADD CONSTRAINT fk_ProjectFile_project FOREIGN KEY (project) REFERENCES Project;

CREATE UNIQUE INDEX in_ProjectFile_Project_Path ON ProjectFile (
    project,
    path
);

-- Drop temporary table
DROP TABLE tmp_ProjectFile CASCADE;


/*===========================================================================
 * Changes for table: FileComment
 * Upgrade strategy: changeInPlace
 *===========================================================================*/
ALTER TABLE FileComment
    ADD CONSTRAINT fk_FileCom_SysUsr_RevAction FOREIGN KEY (reviewActionOwner) REFERENCES SystemUser;

ALTER TABLE FileComment
    ADD CONSTRAINT fk_FileCom_SysUsr_Reviewer FOREIGN KEY (reviewer) REFERENCES SystemUser;

ALTER TABLE FileComment
    ADD CONSTRAINT fk_FileComment_ProjectFile FOREIGN KEY (projectFile) REFERENCES ProjectFile;

ALTER TABLE FileComment
    ADD CONSTRAINT fk_FileComment_SystemUser FOREIGN KEY (owner) REFERENCES SystemUser;


/*===========================================================================
 * Changes for table: Session
 * Upgrade strategy: create
 *===========================================================================*/
ALTER TABLE Session
    ADD CONSTRAINT pk_Session PRIMARY KEY (systemId);

ALTER TABLE Session
    ADD CONSTRAINT un_Session_SystemUser UNIQUE (systemUser);

ALTER TABLE Session
    ADD CONSTRAINT fk_Session_SystemUser FOREIGN KEY (systemUser) REFERENCES SystemUser;


/*===========================================================================
 * Drop tables and sequences no longer needed
 *===========================================================================*/
