/****************************************************************************
 * Schema upgrade - script 1 of 2
 * Run this before any data upgrade scripts
 *
 * Schema:           jcr
 * DBMS:             postgres
 * Generated:        Sun Oct 23 18:17:05 2005
 *****************************************************************************/

/*===========================================================================
 * Table:            FileSet
 * Description:      Represents a set of files that can be used by one or more review projects.                     Each set can be either uploaded as a tarball, or extracted from source control
 *===========================================================================*/
CREATE TABLE FileSet (
    systemId             INTEGER NOT NULL,
    owner                INTEGER NOT NULL,
    createDate           TIMESTAMP NOT NULL,
    directory            VARCHAR(500) NOT NULL,
    baseline             VARCHAR(500)
);


/*===========================================================================
 * Changes for table: Project
 * Upgrade strategy: changeInPlace
 *===========================================================================*/
ALTER TABLE Project
    ADD originalFileSet      INTEGER;

ALTER TABLE Project
    ADD modifiedFileSet      INTEGER;

ALTER TABLE Project
    ADD notes                TEXT;


/*===========================================================================
 * Table:            ProjectStatus
 * Description:      Records the history of status changes to each project
 *===========================================================================*/
CREATE TABLE ProjectStatus (
    systemId             INTEGER NOT NULL,
    project              INTEGER NOT NULL,
    changedBy            INTEGER NOT NULL,
    changeDate           TIMESTAMP NOT NULL,
    newStatus            VARCHAR(2) NOT NULL
);


/*===========================================================================
 * Changes for table: ProjectFile
 * Upgrade strategy: changeInPlace
 *===========================================================================*/
ALTER TABLE ProjectFile
    ADD originalPath         VARCHAR(500);

ALTER TABLE ProjectFile
    ADD notes                TEXT;

ALTER TABLE ProjectFile
    ADD reviewPriority       SMALLINT;

