/****************************************************************************
 * Schema upgrade - script 2 of 2
 * Run this after any data upgrade scripts
 *
 * Schema:           jcr
 * DBMS:             postgres
 * Generated:        Sun Oct 23 18:17:05 2005
 *****************************************************************************/

/*===========================================================================
 * Changes for table: FileSet
 * Upgrade strategy: create
 *===========================================================================*/
ALTER TABLE FileSet
    ADD CONSTRAINT pk_FileSet PRIMARY KEY (systemId);

ALTER TABLE FileSet
    ADD CONSTRAINT fk_FileSet_SystemUser FOREIGN KEY (owner) REFERENCES SystemUser;


/*===========================================================================
 * Changes for table: Project
 * Upgrade strategy: changeInPlace
 *===========================================================================*/
ALTER TABLE Project
    ADD CONSTRAINT fk_Project_OriginalFileSet FOREIGN KEY (originalFileSet) REFERENCES FileSet;

ALTER TABLE Project
    ADD CONSTRAINT fk_Project_ModifiedFileSet FOREIGN KEY (modifiedFileSet) REFERENCES FileSet;


/*===========================================================================
 * Changes for table: ProjectStatus
 * Upgrade strategy: create
 *===========================================================================*/
ALTER TABLE ProjectStatus
    ADD CONSTRAINT pk_ProjectStatus PRIMARY KEY (systemId);

ALTER TABLE ProjectStatus
    ADD CONSTRAINT fk_ProjectStatus_project FOREIGN KEY (project) REFERENCES Project;

ALTER TABLE ProjectStatus
    ADD CONSTRAINT fk_ProjectStatus_changedBy FOREIGN KEY (changedBy) REFERENCES SystemUser;


/*===========================================================================
 * Drop tables and sequences no longer needed
 *===========================================================================*/
