/****************************************************************************
 * Schema upgrade - script 2 of 2
 * Run this after any data upgrade scripts
 *
 * Schema:           jcr
 * DBMS:             postgres
 * Generated:        Sun Nov  6 08:27:10 2005
 *****************************************************************************/

/*===========================================================================
 * Changes for table: SystemUser
 * Upgrade strategy: changeByCopy
 *===========================================================================*/
ALTER TABLE SystemUser
     ALTER systemId SET NOT NULL;

ALTER TABLE SystemUser
     ALTER username SET NOT NULL;

ALTER TABLE SystemUser
     ALTER name SET NOT NULL;

ALTER TABLE SystemUser
     ALTER isSuperuser SET NOT NULL;

ALTER TABLE SystemUser
     ALTER password SET NOT NULL;

ALTER TABLE SystemUser
     ALTER enabled SET NOT NULL;

ALTER TABLE SystemUser
    ADD CONSTRAINT pk_User PRIMARY KEY (systemId);

-- Drop temporary table
DROP TABLE tmp_SystemUser CASCADE;

-- Re-establish foreign key links.
-- Note that foreign keys to be recreated elsewhere are omitted
ALTER TABLE FileSet
    ADD CONSTRAINT fk_FileSet_SystemUser FOREIGN KEY (owner) REFERENCES SystemUser;

ALTER TABLE Project
    ADD CONSTRAINT fk_Project_SystemUser FOREIGN KEY (owner) REFERENCES SystemUser;

ALTER TABLE ProjectStatus
    ADD CONSTRAINT fk_ProjectStatus_changedBy FOREIGN KEY (changedBy) REFERENCES SystemUser;

ALTER TABLE FileComment
    ADD CONSTRAINT fk_FileComment_SystemUser_Owner FOREIGN KEY (owner) REFERENCES SystemUser;

ALTER TABLE FileComment
    ADD CONSTRAINT fk_FileCom_SystemUser_Reviewer FOREIGN KEY (reviewer) REFERENCES SystemUser;

ALTER TABLE FileComment
    ADD CONSTRAINT fk_FileCom_SystemUser_RevAction FOREIGN KEY (reviewActionOwner) REFERENCES SystemUser;

ALTER TABLE FileComment
    ADD CONSTRAINT fk_FileCom_SystemUser_Actioner FOREIGN KEY (actioner) REFERENCES SystemUser;

ALTER TABLE Session
    ADD CONSTRAINT fk_Session_SystemUser FOREIGN KEY (systemUser) REFERENCES SystemUser;


/*===========================================================================
 * Drop tables and sequences no longer needed
 *===========================================================================*/
