/****************************************************************************
 * Schema upgrade - script 1 of 2
 * Run this before any data upgrade scripts
 *
 * Database:         jcr
 * DBMS:             mysql
 *****************************************************************************/

/*===========================================================================
 * Table:            projectthread
 * Description:      Groups together project-level comments with a common title,
 *                   like an email thread
 *===========================================================================*/
CREATE TABLE projectthread (
    systemid             INT NOT NULL,
    project              INT NOT NULL,
    owner                INT NOT NULL,
    threadtitle          VARCHAR(100) NOT NULL
)
TYPE=InnoDB
;


/*===========================================================================
 * Table:            projectcomment
 * Description:      Review comments made against a project thread
 *===========================================================================*/
CREATE TABLE projectcomment (
    systemid             INT NOT NULL,
    projectthread        INT NOT NULL,
    owner                INT NOT NULL,
    createdate           DATETIME NOT NULL,
    comment              LONGTEXT NOT NULL,
    reviewdate           DATETIME,
    reviewcomment        LONGTEXT,
    reviewer             INT,
    reviewdecision       VARCHAR(50),
    reviewactionowner    INT,
    actiondate           DATETIME,
    actioncomment        LONGTEXT,
    actioner             INT,
    actionscomplete      CHAR(1)
)
TYPE=InnoDB
;

