/****************************************************************************
 * Schema upgrade - script 1 of 2
 * Run this before any data upgrade scripts
 *
 * Database:         jcr
 * DBMS:             postgres7
 *****************************************************************************/

/*===========================================================================
 * Table:            projectthread
 * Description:      Groups together project-level comments with a common title,
 *                   like an email thread
 *===========================================================================*/
CREATE TABLE projectthread (
    systemid             INTEGER NOT NULL,
    project              INTEGER NOT NULL,
    owner                INTEGER NOT NULL,
    threadtitle          VARCHAR(100) NOT NULL
);


/*===========================================================================
 * Table:            projectcomment
 * Description:      Review comments made against a project thread
 *===========================================================================*/
CREATE TABLE projectcomment (
    systemid             INTEGER NOT NULL,
    projectthread        INTEGER NOT NULL,
    owner                INTEGER NOT NULL,
    createdate           TIMESTAMP NOT NULL,
    comment              TEXT NOT NULL,
    reviewdate           TIMESTAMP,
    reviewcomment        TEXT,
    reviewer             INTEGER,
    reviewdecision       VARCHAR(50),
    reviewactionowner    INTEGER,
    actiondate           TIMESTAMP,
    actioncomment        TEXT,
    actioner             INTEGER,
    actionscomplete      CHAR(1)
);

