/****************************************************************************
 * Schema upgrade - script 2 of 2
 * Run this after any data upgrade scripts
 *
 * Database:         jcr
 * DBMS:             postgres8
 *****************************************************************************/

/*===========================================================================
 * Changes for table: projectthread
 * Upgrade strategy: create
 *===========================================================================*/
ALTER TABLE projectthread
    ADD CONSTRAINT pk_projectthread PRIMARY KEY (systemid);

ALTER TABLE projectthread
    ADD CONSTRAINT fk_projectthread_project FOREIGN KEY (project) REFERENCES project;

ALTER TABLE projectthread
    ADD CONSTRAINT fk_projectthread_systemuser FOREIGN KEY (owner) REFERENCES systemuser;

CREATE INDEX in_projectthread_project ON projectthread (
    project
);

CREATE INDEX in_projectthread_owner ON projectthread (
    owner
);


/*===========================================================================
 * Changes for table: projectcomment
 * Upgrade strategy: create
 *===========================================================================*/
ALTER TABLE projectcomment
    ADD CONSTRAINT pk_projectcomment PRIMARY KEY (systemid);

ALTER TABLE projectcomment
    ADD CONSTRAINT fk_projectcomment_projectthread FOREIGN KEY (projectthread) REFERENCES projectthread;

ALTER TABLE projectcomment
    ADD CONSTRAINT fk_projectcomment_systemuser_owner FOREIGN KEY (owner) REFERENCES systemuser;

ALTER TABLE projectcomment
    ADD CONSTRAINT fk_projectcom_systemuser_reviewer FOREIGN KEY (reviewer) REFERENCES systemuser;

ALTER TABLE projectcomment
    ADD CONSTRAINT fk_projectcom_systemuser_revaction FOREIGN KEY (reviewactionowner) REFERENCES systemuser;

ALTER TABLE projectcomment
    ADD CONSTRAINT fk_projectcom_systemuser_actioner FOREIGN KEY (actioner) REFERENCES systemuser;

CREATE INDEX in_projectcomment_projectthread ON projectcomment (
    projectthread
);

CREATE INDEX in_projectcomment_owner ON projectcomment (
    owner
);

CREATE INDEX in_projectcomment_reviewer ON projectcomment (
    reviewer
);

CREATE INDEX in_projectcomment_revaction ON projectcomment (
    reviewactionowner
);

CREATE INDEX in_projectcomment_actioner ON projectcomment (
    actioner
);


/*===========================================================================
 * Drop tables, views and sequences no longer needed
 *===========================================================================*/
