/****************************************************************************
 * Schema upgrade - DML script
 * 
 * This script copies any required data for tables that are being
 * recreated (where changes cannot be made in-place)
 * 
 * Run this after the first schema upgrade script, but before the second
 *
 * Database:         jcr
 * DBMS:             mysql
 *****************************************************************************/

/*===========================================================================
 * DML to copy column values from systemuser to tmp_systemuser
 * 
 * NOTE: This may not be correct - you should check this VERY carefully
 *===========================================================================*/
INSERT INTO systemuser (systemid, username, name, issuperuser, password, email, enabled)
    SELECT systemid, username, name, issuperuser, password, email, enabled
    FROM tmp_systemuser;


/*===========================================================================
 * DML to copy column values from fileset to tmp_fileset
 * 
 * NOTE: This may not be correct - you should check this VERY carefully
 *===========================================================================*/
INSERT INTO fileset (systemid, owner, createdate, directory, baseline)
    SELECT systemid, owner, createdate, directory, baseline
    FROM tmp_fileset;


/*===========================================================================
 * DML to copy column values from project to tmp_project
 * 
 * NOTE: This may not be correct - you should check this VERY carefully
 *===========================================================================*/
INSERT INTO project (systemid, name, owner, createdate, directory, currentstatus, originalfileset, modifiedfileset, ignorewhitespace, minimaldiff, notes)
    SELECT systemid, name, owner, createdate, directory, currentstatus, originalfileset, modifiedfileset, NULL, NULL, notes
    FROM tmp_project;


/*===========================================================================
 * DML to copy column values from projectstatus to tmp_projectstatus
 * 
 * NOTE: This may not be correct - you should check this VERY carefully
 *===========================================================================*/
INSERT INTO projectstatus (systemid, project, changedby, changedate, newstatus)
    SELECT systemid, project, changedby, changedate, newstatus
    FROM tmp_projectstatus;


/*===========================================================================
 * DML to copy column values from projectthread to tmp_projectthread
 * 
 * NOTE: This may not be correct - you should check this VERY carefully
 *===========================================================================*/
INSERT INTO projectthread (systemid, project, owner, threadtitle)
    SELECT systemid, project, owner, threadtitle
    FROM tmp_projectthread;


/*===========================================================================
 * DML to copy column values from projectcomment to tmp_projectcomment
 * 
 * NOTE: This may not be correct - you should check this VERY carefully
 *===========================================================================*/
INSERT INTO projectcomment (systemid, projectthread, owner, createdate, comment, reviewdate, reviewcomment, reviewer, reviewdecision, reviewactionowner, actiondate, actioncomment, actioner, actionscomplete)
    SELECT systemid, projectthread, owner, createdate, comment, reviewdate, reviewcomment, reviewer, reviewdecision, reviewactionowner, actiondate, actioncomment, actioner, actionscomplete
    FROM tmp_projectcomment;


/*===========================================================================
 * DML to copy column values from projectfile to tmp_projectfile
 * 
 * NOTE: This may not be correct - you should check this VERY carefully
 *===========================================================================*/
INSERT INTO projectfile (systemid, project, path, originalpath, changetype, notes, reviewpriority)
    SELECT systemid, project, path, originalpath, changetype, notes, reviewpriority
    FROM tmp_projectfile;


/*===========================================================================
 * DML to copy column values from filecomment to tmp_filecomment
 * 
 * NOTE: This may not be correct - you should check this VERY carefully
 *===========================================================================*/
INSERT INTO filecomment (systemid, projectfile, linenumber, owner, createdate, comment, reviewdate, reviewcomment, reviewer, reviewdecision, reviewactionowner, actiondate, actioncomment, actioner, actionscomplete)
    SELECT systemid, projectfile, linenumber, owner, createdate, comment, reviewdate, reviewcomment, reviewer, reviewdecision, reviewactionowner, actiondate, actioncomment, actioner, actionscomplete
    FROM tmp_filecomment;

