/****************************************************************************
 * Schema upgrade - script 1 of 2
 * Run this before any data upgrade scripts
 *
 * Database:         jcr
 * DBMS:             sqlite
 *****************************************************************************/

/*===========================================================================
 * Changes for table: project
 * Upgrade strategy: changeByCopy
 *===========================================================================*/
-- Drop all table constraints and indexes prior to renaming
ALTER TABLE project
    RENAME TO tmp_project;

CREATE TABLE project (
    systemid             INTEGER NOT NULL,
    name                 VARCHAR(100) NOT NULL,
    owner                INTEGER NOT NULL,
    ownerdelegate        INTEGER,
    createdate           TIMESTAMP NOT NULL,
    directory            VARCHAR(200) NOT NULL,
    currentstatus        VARCHAR(10) NOT NULL,
    originalfileset      INTEGER,
    modifiedfileset      INTEGER,
    ignorewhitespace     CHAR(1),
    notes                TEXT,
    PRIMARY KEY (systemid)
);


/*===========================================================================
 * Changes for table: projectfile
 * Upgrade strategy: changeInPlace
 *===========================================================================*/
ALTER TABLE projectfile
    ADD numlines             INTEGER;

ALTER TABLE projectfile
    ADD changepercent        SMALLINT;

ALTER TABLE projectfile
    ADD numchunks            INTEGER;

