/****************************************************************************
 * Schema upgrade - script 1 of 2
 * Run this before any data upgrade scripts
 *
 * Database:         jcr
 * DBMS:             postgres8
 *****************************************************************************/

/*===========================================================================
 * Table:            repository
 * Description:      Represents a repository in a source control system
 *                   (currently supports Subversion only)
 *===========================================================================*/
CREATE TABLE repository (
    systemid             INTEGER NOT NULL,
    name                 VARCHAR(100) NOT NULL,
    url                  VARCHAR(500) NOT NULL,
    vcstype              VARCHAR(3) NOT NULL,
    username             VARCHAR(50),
    password             VARCHAR(200),
    enabled              CHAR(1) NOT NULL
);


/*===========================================================================
 * Changes for table: fileset
 * Upgrade strategy: changeInPlace
 *===========================================================================*/
ALTER TABLE fileset
    ADD archivestatus        CHAR(1);


/*===========================================================================
 * Changes for table: project
 * Upgrade strategy: changeInPlace
 *===========================================================================*/
ALTER TABLE project
    ADD repository           INTEGER,
    ADD pathinrepository     VARCHAR(500),
    ADD originalRevisionType VARCHAR(2),
    ADD originalRevisionParam VARCHAR(20),
    ADD modifiedRevisionType VARCHAR(2),
    ADD modifiedRevisionParam VARCHAR(20),
    ADD archivestatus        CHAR(1);

