/****************************************************************************
 * Schema upgrade - script 1 of 2
 * Run this before any data upgrade scripts
 *
 * Database:         jcr
 * DBMS:             sqlite
 *****************************************************************************/

/*===========================================================================
 * Table:            repository
 * Description:      Represents a repository in a source control system
 *                   (currently supports Subversion only)
 *===========================================================================*/
CREATE TABLE repository (
    systemid             INTEGER NOT NULL,
    name                 VARCHAR(100) NOT NULL,
    url                  VARCHAR(500) NOT NULL,
    vcstype              VARCHAR(3) NOT NULL,
    username             VARCHAR(50),
    password             VARCHAR(200),
    enabled              CHAR(1) NOT NULL,
    PRIMARY KEY (systemid)
);


/*===========================================================================
 * Changes for table: fileset
 * Upgrade strategy: changeInPlace
 *===========================================================================*/
ALTER TABLE fileset
    ADD archivestatus        CHAR(1);


/*===========================================================================
 * Changes for table: project
 * Upgrade strategy: changeInPlace
 *===========================================================================*/
ALTER TABLE project
    ADD repository           INTEGER;

ALTER TABLE project
    ADD pathinrepository     VARCHAR(500);

ALTER TABLE project
    ADD originalRevisionType VARCHAR(2);

ALTER TABLE project
    ADD originalRevisionParam VARCHAR(20);

ALTER TABLE project
    ADD modifiedRevisionType VARCHAR(2);

ALTER TABLE project
    ADD modifiedRevisionParam VARCHAR(20);

ALTER TABLE project
    ADD archivestatus        CHAR(1);

