/****************************************************************************
 * Schema upgrade - script 2 of 2
 * Run this after any data upgrade scripts
 *
 * Database:         jcr
 * DBMS:             postgres8
 *****************************************************************************/

/*===========================================================================
 * Changes for table: projectreviewer
 * Upgrade strategy: create
 *===========================================================================*/
ALTER TABLE projectreviewer
    ADD CONSTRAINT pk_projectreviewer PRIMARY KEY (systemid);

ALTER TABLE projectreviewer
    ADD CONSTRAINT un_projectreviewer_project_reviewer UNIQUE (project, systemuser);

CREATE INDEX in_projectreviewer_systemuser ON projectreviewer (
    systemuser
);


/*===========================================================================
 * Create foreign keys (including those being recreated)
 *===========================================================================*/
ALTER TABLE projectreviewer
    ADD CONSTRAINT fk_projectreviewer_project FOREIGN KEY (project) REFERENCES project;

ALTER TABLE projectreviewer
    ADD CONSTRAINT fk_projectreviewer_systemuser FOREIGN KEY (systemuser) REFERENCES systemuser;


/*===========================================================================
 * Drop tables, views and sequences no longer needed
 *===========================================================================*/
