/****************************************************************************
 * Schema upgrade - script 1 of 2
 * Run this before any data upgrade scripts
 *
 * Database:         jcr
 * DBMS:             sqlite
 *****************************************************************************/

/*===========================================================================
 * Drop foreign keys (including those being recreated in second script)
 *===========================================================================*/

/*===========================================================================
 * Table:            projectreviewer
 * Description:      Records system users allocated to review projects
 *===========================================================================*/
CREATE TABLE projectreviewer (
    systemid             INTEGER NOT NULL,
    project              INTEGER NOT NULL,
    systemuser           INTEGER NOT NULL,
    reviewrole           VARCHAR(2),
    notifydate           TIMESTAMP,
    reviewcompletedate   TIMESTAMP,
    PRIMARY KEY (systemid),
    CONSTRAINT un_projectreviewer_project_reviewer UNIQUE (project, systemuser)
);

CREATE INDEX in_projectreviewer_systemuser ON projectreviewer (
    systemuser
);

