#!/bin/sh

# Install newly-built version under ~/tmp/clichart-install, read for testing

INSTALL_BASE=~/tmp/clichart-install
BUILD_DIR=/home/johnd/java/clichart/output

function fail() {
    echo $1
    exit 1
}

if [ "$1" = "" ]; then
    fail "Need a version number to install"
fi

version=$1

cd $INSTALL_BASE
installDir=clichart-$version
if [ -d $installDir ]; then
    rm -fR $installDir/*
else
    mkdir $installDir
fi
cd $installDir

if [ ! -f $BUILD_DIR/clichart-$version.zip ]; then
    fail "Can't find base package: $BUILD_DIR/clichart-$version.zip"
fi

if [ ! -f $BUILD_DIR/clichart-src-$version.zip ]; then
    fail "Can't find source package: $BUILD_DIR/clichart-src-$version.zip"
fi

unzip $BUILD_DIR/clichart-$version.zip
unzip $BUILD_DIR/clichart-src-$version.zip

echo "You should now run tests in `pwd`"


