/* (C) Copyright 2006, by John Dickson
 *
 * Project Info:  http://clichart.sourceforge.net/
 *
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
 * USA.
 *
 * $Id: InvalidOptionsException.java 552 2007-04-08 01:15:47Z johnd $
 */

package net.sf.clichart.main;

/**
 * Wrapper for the Commons CLI ParseException, thrown to indicate that the options provided on the command-line weren't
 * valid
 *
 * @author johnd
 */
public class InvalidOptionsException extends Exception {

    /* ========================================================================
     *
     * Class (static) variables.
     */

    private static final long serialVersionUID = 1L;

    /* ========================================================================
     *
     * Instance variables.
     */

    /* ========================================================================
     *
     * Constructors
     */

    public InvalidOptionsException(String message) {
        super(message);
    }

    public InvalidOptionsException(String message, Throwable cause) {
        super(message, cause);
    }

    /* ========================================================================
     *
     * Static methods
     */

    /* ========================================================================
     *
     * Public methods
     */

    /* ========================================================================
     *
     * Protected / package-private methods
     */

    /* ========================================================================
     *
     * Private methods
     */
}