/*
 * Copyright (c) 2005 Dialect Solutions Holdings. All rights reserved.
 */
package net.sf.clichart.main.cliserver;

import net.sf.clichart.chart.OptionsBean;
import net.sf.clichart.main.InvalidOptionsException;

import java.lang.reflect.Method;
import java.lang.reflect.InvocationTargetException;

/**
 * Option setter for options that don't take an argument
 *
 * @author johnd
 */
public class NoArgumentOptionSetter extends AbstractOptionSetter {

    /* ========================================================================
     *
     * Class (static) variables.
     */

    /* ========================================================================
     *
     * Instance variables.
     */

    /* ========================================================================
     *
     * Constructors
     */

    public NoArgumentOptionSetter(String setterName) {
        super(setterName);
    }

    /* ========================================================================
     *
     * Static methods
     */

    /* ========================================================================
     *
     * Public methods
     */

    /* ========================================================================
     *
     * Protected / package-private methods
     */

    protected void setValue(OptionsBean options, Method method, String command, String argument)
            throws IllegalAccessException, InvalidOptionsException, InvocationTargetException {
        if (argument != null) {
            throw new InvalidOptionsException("Command does not allow an argument");
        }

        method.invoke(options, new Object[]{});
    }

    protected Class[] getParameterType() {
        return new Class[]{};
    }

    /* ========================================================================
     *
     * Private methods
     */
}