#!/bin/sh

# Run code coverage for all python tests, placing the results in the output/coverage directory

OUTPUT_DIR=output/coverage
COVERAGE_SCRIPT=/usr/lib/python2.4/site-packages/coverage.py

if [ ! -d $OUTPUT_DIR ]; then
    mkdir -p $OUTPUT_DIR
fi

export COVERAGE_FILE=$OUTPUT_DIR/coverage.data

# erase previous coverage data
$COVERAGE_SCRIPT -e

for f in test/python/*Test.py; do
    echo $f
    $COVERAGE_SCRIPT -x $f
done

# now report
$COVERAGE_SCRIPT -r resource/bin/*.py

echo "Writing annotated files to $OUTPUT_DIR (with ,cover extension)"
$COVERAGE_SCRIPT -a -d $OUTPUT_DIR resource/bin/*.py
