:: (C) Copyright 2006, by John Dickson
::
:: Project Info:  http://clichart.sourceforge.net/
::
:: This library is free software; you can redistribute it and/or modify it
:: under the terms of the GNU Lesser General Public License as published by
:: the Free Software Foundation; either version 2.1 of the License, or
:: (at your option) any later version.
::
:: This library is distributed in the hope that it will be useful, but
:: WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
:: or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
:: License for more details.
::
:: You should have received a copy of the GNU Lesser General Public
:: License along with this library; if not, write to the Free Software
:: Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
:: USA.
::
:: $Id: clichart.bat 545 2007-04-06 07:17:23Z johnd $

:: Launches clichart, passing all command-line arguments to it.
::
:: Checks for JAVA_HOME, or if not set assumes that 'java' is in the path
::
:: Important note: By default, batch files evaluate variable assignments when the
:: line IS READ, NOT WHEN IT IS EXECUTED.  Hence the horrible duplication in here...

@echo off

set CLICHART=clichart-0.5.1.jar

set BASEDIR=%~dp0..

if not "%JAVA_HOME%"=="" (
    if exist "%JAVA_HOME%\bin\java.exe" (
        "%JAVA_HOME%\bin\java.exe" -jar "%BASEDIR%\%CLICHART%" %*
        exit
    ) else (
        echo Ignoring JAVA_HOME env var - java executable not found
        echo   [%JAVA_HOME%]
    )
)

java -jar "%BASEDIR%\%CLICHART%" %*
